@import url('https://fonts.googleapis.com/css2?family=Inter&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    background-color: rgba(13, 7, 20, 1);
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 110px 0 160px 0;
}

.box {
    padding: 50px 86px 225px 65px;
    background-color: rgba(29, 24, 37, 1);
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    gap: 59px;
}

.input-container {
    display: flex;
    justify-content: space-between;
    gap: 11px;
}

#input {
    width: 381px;
    padding: 11px 0 10px 15px;
    border-radius: 10px;
    border: 1px solid rgba(158, 120, 207, 1);
    background-color: rgba(29, 24, 37, 1);
    color: rgba(158, 120, 207, 1);
    font-family: Inter;
    font-size: 16px;
    font-weight: 400;
    line-height: 19.36px;
}

input::placeholder,
textarea::placeholder {

    font-family: Inter;
    font-size: 16px;
    font-weight: 400;
    line-height: 19.36px;

}


.plus-container {
    width: 40px;
    height: 40px;
    background-color: rgba(158, 120, 207, 1);
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.horizontal-rec {
    background-color: white;
    width: 25px;
    height: 1.5px;
}

.vertical-rec {
    background-color: white;
    width: 1.5px;
    height: 25px;
    position: relative;
    left: 12.5px;
}

#todo-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 17px;
}

#task-counter {
    font-family: Inter;
    font-size: 16px;
    font-weight: 400;
    line-height: 19.36px;
    text-align: left;
    color: rgba(255, 255, 255, 1);
    
}

#id-box {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.list-component {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 27.5px 20px 28.5px 21px;
    border-radius: 10px;
    background-color: rgba(21, 16, 28, 1);
}

.taskText {
    font-family: Inter;
    font-size: 16px;
    font-weight: 400;
    line-height: 19.36px;
    color: rgba(158, 120, 207, 1);
    
}

.icon-container {
    display: flex;
    gap: 15px;
}

.taskTextGreen  { 
    font-family: Inter;  
    font-size: 16px;
    font-weight: 400;
    line-height: 19.36px;
     color: rgba(120, 207, 176, 1);
     text-decoration: line-through;
}